curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/skill_events \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/skill_events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/skill_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"results": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"event_type": "learning",
"timestamp": "2021-01-03",
"content": {
"learning_title": "Computer Science 103",
"learning_description": "A description for the Computer Science 103 Course."
},
"source": "youtube"
},
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f847b",
"event_type": "learning",
"timestamp": "2021-01-02",
"content": {
"learning_title": "Computer Science 102",
"learning_description": "A description for the Computer Science 102 Course."
},
"source": "course"
},
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f1538",
"event_type": "learning",
"timestamp": "2021-01-01",
"content": {
"learning_title": "Computer Science 101",
"learning_description": "A description for the Computer Science 101 Course."
},
"source": "employee-archives"
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]List Skill Events of an Employee by event type
Get all Skill Events of a specified event type linked to an Employee.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique external ID linked to an Employee, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
The maximal number of results returned.
1 <= x <= 10010
The applied offset for returned entities, results starting from offset up to offset + limit.
x >= 0Get only Skill Events of this type. Learn more about the Skill Event Types at How it works. Multiple of these includes can be added to the request to get the Skill Events of multiple types.
working_history, education_history, resume_document, learning, feedback, goal, project, ticket, certificate, skill_notes, skill_profile_feedback "learning"
Response
OK
Total number of Skill Event type objects linked to the Employee.
x >= 03
Subset of Skill Events starting from offset up to offset + limit.
Show child attributes
Show child attributes
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"event_type": "learning",
"timestamp": "2021-01-03",
"content": {
"learning_title": "Computer Science 103",
"learning_description": "A description for the Computer Science 103 Course."
},
"source": "youtube"
},
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f847b",
"event_type": "learning",
"timestamp": "2021-01-02",
"content": {
"learning_title": "Computer Science 102",
"learning_description": "A description for the Computer Science 102 Course."
},
"source": "course"
},
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f1538",
"event_type": "learning",
"timestamp": "2021-01-01",
"content": {
"learning_title": "Computer Science 101",
"learning_description": "A description for the Computer Science 101 Course."
},
"source": "employee-archives"
}
]
Was this page helpful?